#851 closed System Defect (fixed)

Firefox 25 shows first frame of video stream in youtube, but freezes

Reported by: Jacob.D Owned by: kris
Priority: critical Milestone:
Component: System Configuration Version: 10-STABLE
Keywords: flash-plugin-errors, web-browsers, firefox Cc: trac-bugs@…

Description

Firefox still shows distorted webpages on You-Tube, for example the HTML-5 page was blank with only the icons showing in a erratic fashion, no text was displayed so getting HTML-5 was very difficult and was by trial and error.

Flash works only partially, only first frame is shown, no audio
upon a refresh of the page containing the stream, you tube states "an error occurred please try again later"

Here is the command line read out for firefox during these errors :

(process:89088): GLib-CRITICAL : void g_slice_set_config(GSliceConfig, gint64): assertion 'sys_page_size == 0' failed

(process:89091): GLib-CRITICAL : void g_slice_set_config(GSliceConfig, gint64): assertion 'sys_page_size == 0' failed

(process:89143): Gtk-WARNING : Locale not supported by C library.

Using the fallback 'C' locale.

sh: warning: setlocale: LC_ALL: cannot change locale (en_US.UTF-8)

(npviewer.bin:89143): Gtk-WARNING : Unable to locate theme engine in module_path: "qtcurve",
Fontconfig error: "/usr/local/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix element
Fontconfig error: "/usr/local/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 70: non-double matrix element
Fontconfig warning: "/usr/local/etc/fonts/conf.d/10-scale-bitmap-fonts.conf", line 78: saw unknown, expected number
ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
ALSA lib conf.c:4185:(_snd_config_evaluate) function snd_func_card_driver returned error: No such file or directory
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:4185:(_snd_config_evaluate) function snd_func_concat returned error: No such file or directory
ALSA lib confmisc.c:1251:(snd_func_refer) error evaluating name
ALSA lib conf.c:4185:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:4664:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2209:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib pcm_hw.c:1401:(_snd_pcm_hw_open) Invalid value for card
ALSA lib confmisc.c:768:(parse_card) cannot find card '0'
ALSA lib conf.c:4185:(_snd_config_evaluate) function snd_func_card_driver returned error: No such file or directory
ALSA lib confmisc.c:392:(snd_func_concat) error evaluating strings
ALSA lib conf.c:4185:(_snd_config_evaluate) function snd_func_concat returned error: No such file or directory
ALSA lib confmisc.c:1251:(snd_func_refer) error evaluating name
ALSA lib conf.c:4185:(_snd_config_evaluate) function snd_func_refer returned error: No such file or directory
ALSA lib conf.c:4664:(snd_config_expand) Evaluate error: No such file or directory
ALSA lib pcm.c:2209:(snd_pcm_open_noupdate) Unknown PCM default
ALSA lib pcm_hw.c:1401:(_snd_pcm_hw_open) Invalid value for card

(firefox:89088): Gtk-CRITICAL : gboolean IAgtk_clipboard_set_with_data(GtkClipboard? *, const GtkTargetEntry? *, guint, GtkClipboardGetFunc?, GtkClipboardClearFunc?, gpointer): assertion 'targets != NULL' failed

Change History (5)

comment:1 Changed 17 months ago by joshms

  • Resolution set to deferred
  • Status changed from new to closed

Which version of the 10.0 stable image are you using? There are new PBI's of firefox and chrome building that should take recent changes in how the system handles the linux compatibility layer for flash player. Please wait patiently for a day or so and this problem should resolve itself after updating to the new PBI's. If this does not work please let us know your system specs, desktop environment, and the version of the PBI you are trying to use that is not functioning properly. Thanks!

Best Regards,

Josh

comment:2 Changed 16 months ago by joshms

  • Resolution deferred deleted
  • Status changed from closed to reopened

Flash is still not working in 10.0 p6. All packages are up to date, and all freebsd updates installed. Tested in chromium 31, and 30, as well as firefox 25. Plugin appears to not even be detected.

comment:3 Changed 16 months ago by joshms

  • Owner set to kris
  • Status changed from reopened to new

comment:4 Changed 16 months ago by joshms

Problem resolved by doing the following for me. It is important to note you must have the chromium PBI ending in version .63 and Firefox 25_01 to fix flash in version 10. If they are not available in the appcafe please give them 24 hours to update before contacting dev support.

[13:01] <josh> problem solved... nspluginwrapper -v -a -i updated the wrapper and now it works.
[13:01] <josh> MIME Type Description Suffixes
[13:01] <josh> application/x-shockwave-flash Shockwave Flash swf
[13:01] <josh> application/futuresplash FutureSplash? Player spl
[13:02] <josh> now shows in plugins
[13:02] <josh> I also added linux_load="YES" to /boot/loader.conf

comment:5 Changed 16 months ago by joshms

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.